/*  

1. Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
    Цикли потрібні у випадках, коли нам необхідно виконувати якісь дії до настання визначеної умови (наприклад набуття змінною певного значення набуття правдивості якоїсь рівності), або визначеної кількості разів. В залежності від того знаємо ми заздалегідь кількість ітерацій чи ні, використовується цикл while або for. Також можуть використовуватись цикли do...while в разі, якщо нам принаймні одни раз потрібно виконати код до перевірки умови. Ще існують цикли for...in та for...on . 
2. Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
    Відповідно до вищесказаного, цикли застосовував. залежно від відомомої чи невідомої кількості ітерації. НАприклад, для таймера ви знаємо кількість ітерацій, тому тут потрібен цикл for. Для виведення, наприклад, парних чисел, нам потрібно перевіряти постійно одну і ту ж умову - чи є число парним. Але кількість перевірок (ітерацій) ми не знаємо, тому будемо використовувати цикл while з, власне, перевіркою умови.
3. Що таке явне та неявне приведення (перетворення) типів даних у JS?
    Явне перетворення типів, це коли ми осмислено, окремим кодом проводимо перетворення типу даних. застосовуючи, до прикладу функції Boolean(), parseInt(), parseFloat(), String().
    Неявне перетворення типів відбувається автоматично під час математичних операцій з різними типами даних, рівностей та нерівностей з різними типами даних. Наприклад, додавання стрічки та числа, перетворення змінної типу strіng або number в тип boolean всередині умови конструкції if(var) або if(!var) і т.д. Прикладів багато.

*/

// Вирішення базового завдання:

let rangeStart = +prompt("Enter range finish number");
let counter = 0;
    
for (let i = 0; i <= rangeStart; i++) {
    if (i % 5 === 0 && i >=5){
        console.log(i);
        counter +=1;
    }
}
    if (counter === 0){
        console.log("Sorry, no numbers");
    }
    
    
// Вирішення ускладненого завдання:
    
let m = +prompt("Enter range start number");
while (m - Math.floor(m) != 0) {
    m = +prompt("Enter range start number with the type of integer");
}
let n = +prompt("Enter range finish number");
while ((n - Math.floor(n) != 0) || m > n) {
    n = +prompt("Enter range finish number with the type of integer and bigger than range start number");
}
    
for (let i = m; i <= n; i++) {
    for (let a = 2; a <= i; a++) {
        if(a === i || a*a > i) {
            console.log(i);
            break;
        }
        if(i % a === 0 && i != a) {
            break;
        } 
    }
}
        
    
    
    
    
    
    
    
    
    

